Update a contact
curl --request PUT \
--url https://agents.nineteen58.co.za/public-api/contacts/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"identifier": "<string>",
"name": "<string>",
"channel": "<string>",
"email": "<string>",
"personal_context": "<string>",
"notes": "<string>",
"relevant_information": "<string>"
}
'import requests
url = "https://agents.nineteen58.co.za/public-api/contacts/{id}"
payload = {
"identifier": "<string>",
"name": "<string>",
"channel": "<string>",
"email": "<string>",
"personal_context": "<string>",
"notes": "<string>",
"relevant_information": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '<string>',
name: '<string>',
channel: '<string>',
email: '<string>',
personal_context: '<string>',
notes: '<string>',
relevant_information: '<string>'
})
};
fetch('https://agents.nineteen58.co.za/public-api/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contacts
Update Contact
Updates all fields of an existing contact
PUT
/
public-api
/
contacts
/
{id}
Update a contact
Authorizations
Path Parameters
The contact ID
Body
application/json
Response
Contact updated successfully
⌘I

